Bug 1274777 - Changing subcomponent does not reset default assignee
Changing subcomponent does not reset default assignee
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 09:58 EDT by Jiri Benc
Modified: 2016-01-12 00:01 EST (History)
7 users (show)

See Also:
Fixed In Version: 4.4.10045.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 21:14:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Benc 2015-10-23 09:58:03 EDT
After the last bugzilla update, changing of the subcomponent (keeping the component intact) does not automatically check the "Reset Assignee to default for component" checkbox (and QA Contact and docs Contact).

This is very inconvenient, as we deal with misreported bugs quite often and switching to a different subcomponent is now prone to mistakes.

As this worked before and still works when changing components, I suppose it's a bug introduced by the latest update.
Comment 1 Rony Gong 2015-10-25 21:43:02 EDT
This bug indeed exist in qe environment, qe will add case to cover this scenario.
Comment 2 Hui Wang 2015-11-11 03:24:09 EST
Verified this issue.
The result is PASS
Version:
rh-bugzilla-4.4.10044-1.el6.noarch
Steps: 
Change one bug's subcomponent and save.
Result: The "Reset Assignee to default for component" will be checked and the default assignee, QA and Doc contact are set correctly.
Comment 3 Jiri Benc 2015-11-23 06:50:42 EST
Thanks a lot for the quick fix. Do you have an ETA when it is going to be deployed to bugzilla.redhat.com? The bug is quite irritating and we hit it several times each day. Thanks!
Comment 4 Muhammad Tahir 2015-11-23 17:52:04 EST
(In reply to Jiri Benc from comment #3)
> Thanks a lot for the quick fix. Do you have an ETA when it is going to be
> deployed to bugzilla.redhat.com? The bug is quite irritating and we hit it
> several times each day. Thanks!

We are aiming for an early to mid December release.
Thanks.
Comment 5 Matt Tyson 2015-12-15 21:14:09 EST
This change is now live. If there are any issues, do not reopen this bug. Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.